Bug 248699 - devel/libunwind: Fails to link: ld: error: duplicate symbol: _U_dyn_info_list
Summary: devel/libunwind: Fails to link: ld: error: duplicate symbol: _U_dyn_info_list
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Ryan Steinmetz
URL:
Keywords: needs-qa
Depends on:
Blocks: 248756
  Show dependency treegraph
 
Reported: 2020-08-17 12:21 UTC by O. Hartmann
Modified: 2020-08-29 00:40 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2020-08-17 12:21:36 UTC
Updating/recompiling devel/libunwind on recent CURRENT (FreeBSD 13.0-CURRENT #13 r364293: Mon Aug 17 09:56:40 CEST 2020 amd64) fails with the follwoing error message from linker:

[...]

--- libunwind.la ---
libtool: link: cc -shared  -fPIC -DPIC  .libs/os-freebsd.o mi/.libs/init.o mi/.libs/flush_cache.o mi/.libs/mempool.o mi/.libs/strerror.o x86_64/.libs/is_fpreg.o x86_64/.libs/regname.o x86_64/.libs/Los-freebsd.o mi/.libs/backtrace.o mi/.libs/dyn-cancel.o mi/.libs/dyn-info-list.o mi/.libs/dyn-register.o mi/.libs/Ldyn-extract.o mi/.libs/Lfind_dynamic_proc_info.o mi/.libs/Lget_accessors.o mi/.libs/Lget_proc_info_by_ip.o mi/.libs/Lget_proc_name.o mi/.libs/Lput_dynamic_unwind_info.o mi/.libs/Ldestroy_addr_space.o mi/.libs/Lget_reg.o mi/.libs/Lset_reg.o mi/.libs/Lget_fpreg.o mi/.libs/Lset_fpreg.o mi/.libs/Lset_caching_policy.o mi/.libs/Lset_cache_size.o x86_64/.libs/setcontext.o x86_64/.libs/Lapply_reg_state.o x86_64/.libs/Lreg_states_iterate.o x86_64/.libs/Lcreate_addr_space.o x86_64/.libs/Lget_save_loc.o x86_64/.libs/Lglobal.o x86_64/.libs/Linit.o x86_64/.libs/Linit_local.o x86_64/.libs/Linit_remote.o x86_64/.libs/Lget_proc_info.o x86_64/.libs/Lregs.o x86_64/.libs/Lresume.o x86_64/.libs/Lstash_frame.o x86_64/.libs/Lstep.o x86_64/.libs/Ltrace.o x86_64/.libs/getcontext.o  -Wl,--whole-archive ./.libs/libunwind-dwarf-local.a ./.libs/libunwind-elf64.a -Wl,--no-whole-archive  -lgcc_s -llzma  -O2 -fstack-protector-strong -nostartfiles -nostdlib -fstack-protector-strong   -Wl,-soname -Wl,libunwind.so.8 -o .libs/libunwind.so.8.0.1
ld: error: duplicate symbol: _U_dyn_info_list
>>> defined at dyn-info-list.c
>>>            mi/.libs/dyn-info-list.o:(_U_dyn_info_list)
>>> defined at Linit.c
>>>            x86_64/.libs/Linit.o:(.bss+0x6698)
cc: error: linker command failed with exit code 1 (use -v to see invocation)
*** [libunwind.la] Error code 1

make[3]: stopped in /usr/ports/devel/libunwind/work/libunwind-1.4.0/src
1 error

make[3]: stopped in /usr/ports/devel/libunwind/work/libunwind-1.4.0/src
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
Comment 1 Niclas Zeising freebsd_committer 2020-08-18 15:19:47 UTC
This should have been fixed with ports r545235.  Please let us know if it's still a problem for you.
Comment 2 Kyle Evans freebsd_committer 2020-08-29 00:40:25 UTC
I agree with Niclas' assessment and note that libunwind-20200331_1 is now available in the amd64 repo. Closing as FIXED as nothing further will be done here, but please feel free to re-open if needed.